//=============================================================================
// CdBenelliAmmoInv.
//=============================================================================
class CdBenelliAmmoInv extends P2AmmoInv;

var travel int CatAmmoLeft;		// How many shots we've taken with the cat, when this reaches
								// 0, the cat shoots off
var int ShotsWithCat;			// total shots we get with a cat, probably 9 for 9 lives
var float FleshRad;
var Sound FleshHit[4];

///////////////////////////////////////////////////////////////////////////////
// Process a trace hitting something
///////////////////////////////////////////////////////////////////////////////
function ProcessTraceHit(Weapon W, Actor Other, Vector HitLocation, Vector HitNormal, Vector X, Vector Y, Vector Z)
{
	local Rotator NewRot;

	if ( Other == None )
		return;

	if (Other.bStatic)//Other.bWorldGeometry ) 
	{
		spawn(class'CdShotgunBulletHitPack',W.Owner, ,HitLocation, Rotator(HitNormal));
	}
	else 
	{
		Other.TakeDamage(DamageAmount, Pawn(Owner), HitLocation, MomentumHitMag*X, DamageTypeInflicted);

		if((Pawn(Other) != None && Other != Owner)
			|| PeoplePart(Other) != None
			|| CowheadProjectile(Other) != None)
		{
			if(Rand(2) == 0)
				Other.PlaySound(FleshHit[Rand(ArrayCount(FleshHit))],SLOT_Pain,,,FleshRad,GetRandPitch());
		}
		else // anything else--make a spark hit
		{
			spawn(class'BulletSparkPack',W.Owner, ,HitLocation, Rotator(HitNormal));
		}
	}
}

defaultproperties
{
     FleshHit(0)=Sound'CdSounds.bullethit_character_A'
     FleshHit(1)=Sound'CdSounds.bullethit_character_B'
     FleshHit(2)=Sound'CdSounds.bullethit_character_C'
     FleshHit(3)=Sound'CdSounds.bullethit_character_D'
     FleshRad=200.000000
     MomentumHitMag=100000.000000
     DamageTypeInflicted=Class'BaseFX.ShotGunDamage'
     DamageAmount=18.000000
     MaxAmmo=90
     DamageAmountMP=18.000000
     MaxAmmoMP=90
     bLeadTarget=True
     bInstantHit=True
     WarnTargetPct=0.200000
     RefireRate=0.990000
     PickupClass=Class'CdInventory.CdBenelliPickup'
     Texture=Texture'None'
}
