///////////////////////////////////////////////////////////////////////////////
// CdClericGunAmmoInv
///////////////////////////////////////////////////////////////////////////////

class CdClericGunAmmoInv extends P2AmmoInv;

const FLESH_HIT_MAX	=	4;

var Sound FleshHit[FLESH_HIT_MAX];
var float FleshRad;

///////////////////////////////////////////////////////////////////////////////
// Process a trace hitting something
///////////////////////////////////////////////////////////////////////////////
function ProcessTraceHit(Weapon W, Actor Other, Vector HitLocation, Vector HitNormal, Vector X, Vector Y, Vector Z)
{
	local Rotator NewRot;

	// reduce the ammo
	UseAmmoForShot();

	if ( Other == None )
		return;

	if ( Other.bStatic)//Other.bWorldGeometry ) 
		{	
		spawn(class'CdPistolBulletHitPack',W.Owner, ,HitLocation, Rotator(HitNormal));
		}
	else 
	{
		Other.TakeDamage(DamageAmount, Pawn(Owner), HitLocation, MomentumHitMag*X, DamageTypeInflicted);

		if((Pawn(Other) != None 
				&& Other != Owner)
			|| PeoplePart(Other) != None
			|| CowheadProjectile(Other) != None)
		{
			Other.PlaySound(FleshHit[Rand(ArrayCount(FleshHit))],SLOT_Pain,,,FleshRad,GetRandPitch());
		}
		else // anything else--make a spark hit
		{
			spawn(class'BulletSparkPack',W.Owner, ,HitLocation, Rotator(HitNormal));
		}
	}
}


///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
     FleshHit(0)=Sound'CdSounds.bullethit_character_A'
     FleshHit(1)=Sound'CdSounds.bullethit_character_B'
     FleshHit(2)=Sound'CdSounds.bullethit_character_C'
     FleshHit(3)=Sound'CdSounds.bullethit_character_D'
     FleshRad=200.000000
     DamageAmount=5.000000
     MomentumHitMag=300000.000000
     DamageTypeInflicted=Class'BaseFX.BulletDamage'
     MaxAmmo=300
     bLeadTarget=True
     bInstantHit=True
     WarnTargetPct=0.200000
     RefireRate=10.000000
     PickupClass=Class'CdInventory.CdClericGunPickup'
     Texture=Texture'None'
}
