///////////////////////////////////////////////////////////////////////////////
// CdColtM4 AmmoInv
///////////////////////////////////////////////////////////////////////////////

class CdColtM4AmmoInv extends P2AmmoInv;

const FLESH_HIT_MAX	=	4;

var Sound FleshHit[FLESH_HIT_MAX];
var float FleshRad;

///////////////////////////////////////////////////////////////////////////////

function ProcessTraceHit(Weapon W, Actor Other, Vector HitLocation, Vector HitNormal, Vector X, Vector Y, Vector Z)
{
	local Rotator NewRot;

	if ( Other == None )
		return;

	if(Other.bStatic)
	{
		spawn(class'CdMachinegunBulletHitPack',W.Owner, ,HitLocation, Rotator(HitNormal));
	}
	else 
	{
		Other.TakeDamage(DamageAmount, Pawn(Owner), HitLocation, MomentumHitMag*X, DamageTypeInflicted);

		if((Pawn(Other) != None && Other != Owner)
			|| PeoplePart(Other) != None
			|| CowheadProjectile(Other) != None)
		{
			Other.PlaySound(FleshHit[Rand(ArrayCount(FleshHit))],SLOT_Pain,,,FleshRad,GetRandPitch());
		}
		else // anything else--make a spark hit
		{
			spawn(class'BulletSparkPack',W.Owner, ,HitLocation, Rotator(HitNormal));
		}
	}
}

defaultproperties
{
     FleshHit(0)=Sound'CdSounds.bullethit_character_A'
     FleshHit(1)=Sound'CdSounds.bullethit_character_B'
     FleshHit(2)=Sound'CdSounds.bullethit_character_C'
     FleshHit(3)=Sound'CdSounds.bullethit_character_D'
     FleshRad=200.000000
     DamageAmount=10.000000
     MomentumHitMag=50000.000000
     DamageTypeInflicted=Class'BaseFX.MachineGunDamage'
     MaxAmmo=300
     DamageAmountMP=12.000000
     MaxAmmoMP=300
     bLeadTarget=True
     bInstantHit=True
     WarnTargetPct=0.200000
     RefireRate=0.990000
     PickupClass=Class'CdInventory.CdColtM4Pickup'
     Texture=Texture'None'
}
